## ros-indigo-shadow-robot 1.4.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(shadow_robot)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-shadow-robot (1.4.0-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Mon, 06 Apr 2015 23:00:00 -0000

ros-indigo-shadow-robot (1.3.1-0trusty) trusty; urgency=high



 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 17 Jul 2014 23:00:00 -0000

ros-indigo-shadow-robot (1.3.0-0trusty) trusty; urgency=high

  * first hydro release

 -- Shadow Robot's software team <software@shadowrobot.com>  Tue, 11 Feb 2014 00:00:00 -0000

ros-indigo-shadow-robot (1.2.0-0trusty) trusty; urgency=high

  * Port to hydro with catkin

 -- Shadow Robot's software team <software@shadowrobot.com>  Thu, 19 Dec 2013 00:00:00 -0000

ros-indigo-shadow-robot (1.1.0-0trusty) trusty; urgency=high

  * New organisation: the urdf and descriptions are regrouped in the new sr_description stack. Numerous bug fixes.

 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 19 Aug 2012 23:00:00 -0000

ros-indigo-shadow-robot (1.0.1-0trusty) trusty; urgency=high

  * Resetting the controllers when restarting them (zeroing motor strain gauges)

 -- Shadow Robot's software team <software@shadowrobot.com>  Sun, 19 Aug 2012 23:00:00 -0000

ros-indigo-shadow-robot (1.0.0-0trusty) trusty; urgency=high

  * Better mixed position velocity controllers, Hand with Biotacs model added, Reorganised the code in different stacks. Removed some packages from the shadow_robot stack to put them in either sr_contrib, sr_config, sr_teleop, sr_visualisation, sr_demo stacks. We're keeping only the core packages in this stack for easier release / maintenance.

 -- Shadow Robot's software team <software@shadowrobot.com>  Wed, 08 Aug 2012 23:00:00 -0000

=== debian/control ===
Source: ros-indigo-shadow-robot
Section: misc
Priority: extra
Maintainer: Shadow Robot's software team <software@shadowrobot.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/shadow_robot
Standards-Version: 3.9.2

Package: ros-indigo-shadow-robot
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-sr-description, ros-indigo-sr-example, ros-indigo-sr-gazebo-plugins, ros-indigo-sr-hand, ros-indigo-sr-hardware-interface, ros-indigo-sr-mechanism-controllers, ros-indigo-sr-mechanism-model, ros-indigo-sr-moveit-config, ros-indigo-sr-movements, ros-indigo-sr-robot-msgs, ros-indigo-sr-self-test, ros-indigo-sr-tactile-sensors, ros-indigo-sr-utilities
Description: This stack regroups the different ros interfaces developped for Shadow Robot's Hardware. It provides an interface to both simulated and real hardware.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
export DH_OPTIONS=-v --buildsystem=cmake
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh  $@

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-shadow-robot//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
